Mistake on this page? Email us

Supported hardware and Mbed OS versions

Mbed OS support:

  • Mbed OS 2: Not supported. Please use the Mbed OS 5 bare metal profile.
  • Mbed OS 5.11 and older: Not supported. These versions require Arm Compiler 5, but Mbed Studio uses Arm Compiler 6 (to support newer versions of Mbed OS).
  • Mbed OS 5.12.0 and newer, and Mbed OS 6 (preview): Fully supported. If you're using Mbed OS 6's preview branch, please be mindful of deprecated APIs.

For hardware support, please see the list of development boards Mbed Studio supports.

Important Information for this Arm website

This site uses cookies to store information on your computer. By continuing to use our site, you consent to our cookies. If you are not happy with the use of these cookies, please review our Cookie Policy to learn how they can be disabled. By disabling cookies, some features of the site will not work.